Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Sun, 19 Feb 2023 23:58:41 +0000

>
> Lowering emacs_re_max_failures just makes the regexp engine fail 
> earlier, because there is not enough room in the failure stack.  In a 
> sense it is better to fail earlier, but to do that in all cases, we 
> would have to lower emacs_re_max_failures say to 10000, which I guess 
> wouldn't be good because the it would fail too much.
>

BTW, this makes me wonder why emacs_re_max_failures is not accessible from 
Elisp.  I think it would be very useful, if only for debugging purposes. 
And perhaps let-binding it to a lower value around some potentially (or 
actually) problematic regexps would be a good way to prevent or fix bugs 
such as the current one.